Skip to main content
GET
Inspect a schema journal using its journal ID or the originating schema job ID. Reports preserve recovery state and public business definitions without physical identifiers.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orgId
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
databaseId
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
tableId
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
id
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response

Authorised operation result.

id
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
databaseId
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
tableId
string | null
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
kind
string
required
Required string length: 1 - 128
state
string
required
Required string length: 1 - 64
phase
enum<string>
required
Available options:
planned,
running,
committed,
failed,
historical,
unknown
expectedSchemaVersion
integer | null
required
Required range: 1 <= x <= 2147483647
request
object
required
before
object | null
required
verification
object
required
createdAt
string<date-time>
required

UTC instant with mandatory Z and at most three fractional digits.

Pattern: ^(?!0000)\d{4}-\d{2}-\d{2}T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,3})?Z$
Example:

"2024-01-01T12:30:00.000Z"

committedAt
string<date-time> | null
required

UTC instant with mandatory Z and at most three fractional digits.

Pattern: ^(?!0000)\d{4}-\d{2}-\d{2}T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,3})?Z$
Example:

"2024-01-01T12:30:00.000Z"

change
object
error
object
jobId
string
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$